org.gjt.sp.jedit.io

## Class EncodingWithBOM.Detector

- java.lang.Object
- - org.gjt.sp.jedit.io.EncodingWithBOM.Detector

- All Implemented Interfaces:
    EncodingDetector
  Enclosing class:
    EncodingWithBOM

      public static class EncodingWithBOM.Detector
      extends java.lang.Object
      implements EncodingDetector

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Detector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `detectEncoding(java.io.InputStream sample)` Returns the name of a detected encoding for the bytes in sample.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Detector

          public Detector()

  - ### Method Detail

    - #### detectEncoding

          public java.lang.String detectEncoding(java.io.InputStream sample)
                                          throws java.io.IOException

      Description copied from interface: `EncodingDetector`
      Returns the name of a detected encoding for the bytes in sample. Returns null if this instance could not detect reasonable one.
      Specified by:
        `detectEncoding` in interface `EncodingDetector`
      Throws:
        `java.io.IOException`